Name:           python-numpydoc
Version:        1.4.0
Release:    1%{?dist}
Summary:        Sphinx extension to support docstrings in NumPy format

Patch0:          https://github.com/hrnciar/numpydoc/pull/1.patch

License:        BSD
URL:            https://pypi.python.org/pypi/numpydoc
Source0:        https://files.pythonhosted.org/packages/source/n/numpydoc/numpydoc-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the NumPy/SciPy format to a form palatable to Sphinx.


%package -n     python3-numpydoc
Summary:        %{summary}
%{?python_provide:%python_provide python3-numpydoc}
%description -n python3-numpydoc
Numpydoc inserts a hook into Sphinx's autodoc that converts docstrings
following the NumPy/SciPy format to a form palatable to Sphinx.


%prep
%autosetup -p1 -n numpydoc-%{version}
sed -i '/pytest-cov/d' requirements/test.txt
sed -Ei 's/\s+--cov\S+//g' setup.cfg

%generate_buildrequires
%pyproject_buildrequires -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files numpydoc

%check
%pytest -k "not test_MyClass and not test_my_function"


%files -n python3-numpydoc -f %pyproject_files
%license LICENSE.txt
%doc README.rst

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.0-1
- initial build
